Installer OS X 10.5 sur un vieux G4 moins de 867MHz

Si comme moi, vous avez un vieux Mac inutilisé dans le coin de votre garde-robe, disons un vieux PowerMac G4 dual 500MHz, et voudriez installer Mac OS X Leopard dessus pour quelques raisons que ce soi, voici la procédure à suivre.

413bpwgn2ql_sl500_aa280_

Par défaut, Leopard ne peut pas être installé sur des systèmes ayant moins de 1Go de mémoire vive et 867MHz de processeur.

Minimum requis:

– Un vieux Mac disposant d’un processeur G4 de 400MHz ou plus et de 1024Mo ou plus de mémoire vive

– Un lecteur DVD

– Disque d’installation de Mac OS X Leopard

Ce qu’il faut savoir…

Je préfère vous en faire part tout de suite, car lorsque vous avez fait toute la précdure et que ça ne marche pas, ça vous met le feu au cul!!!

Votre PowerMac devra disposer de la dernière version d’Open Firmware. Open Firmware est le micrologiciel qui votre carte mère, un peu comme le BIOS sur un PC. À titre indicatif, la dernière version d’Open Firmware pour un PowerMac bleu et blanc comme illustré ci-haut, est la version 4.2.8.

Afin de vous assurer d’avoir la dernière version, vous devez démarrer votre Mac en mode Open Firmware.

Pour ce faire, dès le démarrage du système, appuyez simultanément sur les touches: Commande+Option+O+F, et maintenez les enfoncées jusqu’à ce que vous voyez du texte noir sur un fond blanc.

Dans le haut complètement, vous devriez voir la version d’Open Firmware que vous avez d’installée.

Si vous n’avez pas la version 4.2.8, sachez que seul Mac OS 9 vous permet de faire la mise à jour. Il est impossible de faire la mise à jour avec aucune version de OS X.

Si votre version est à jour, et que vous disposez de Mac OS 10.3 ou ultérieur, un logiciel s’appellant LeopardAssist vous permet de faire croire au logiciel d’installation de Leopard que votre processeur a bel et bien 867MHz.

Voici la marche à suivre:

1- Assurez-vous d’avoir un lecteur DVD dans votre PowerMac

2- Insérez le DVD d’installation de Leopard

3- Téléchargez LeopardAssist

4- Suivez les instructions de LeopardAssist, c’est très simple

Si votre version est à jour, et que vous disposez de Mac OS 10.2 ou antérieur, vous devez procéder de la façon suivante:

1- Assurez-vous d’avoir un lecteur DVD dans votre PowerMac

2- Insérez le DVD d’installation de Leopard

3- Démarrez en mode Open Firmware en maintenant les touches Commande+Option+O+F

4- Entrez les commandes suivantes:

Si vous avez un PowerMac avec un seul processeur:
dev /cpus/PowerPC,G4@0
d# 867000000 encode-int " clock-frequency" property
boot cd:,\\:tbxi
Si vous avez un PowerMac avec deux processeur:
dev /cpus/PowerPC,G4@0
d# 867000000 encode-int " clock-frequency" property
dev /cpus/PowerPC,G4@1
d# 867000000 encode-int " clock-frequency" property
boot cd:,\\:tbxi

Maintenant, si vous n’avez pas la dernière version de Open Firmware, vous venez de gagner le Jack Pot! Vous devez absolument installer Mac OS 9 et exécuter les mises à jours logiciels. Donc si vous avez déjà une version de Mac OS X d’installée, vous devrez lui dire asta la vista!

Vous devez savoir également que pour installer OS 9, il vous faut un lecteur de disque avec un firmware Apple, tel que le CD-ROM original qui venait avec votre PowerMac. Seul Mac OS 10.4 et 10.5 permettent l’utilisation et la lecture de disques à partir d’un lecteur OEM.

Une fois votre OS 9 installé et la mise à jour du micrologiciel effectuée, vous n’avez qu’à suivre l’étape pour les Mac OS 10.2 ou antérieur. Vous pouvez également installer une version de OS 10.3 ou ultérieur afin d’utiliser LeopardAssist, mais ce n’est qu’une perte de temps additionnelle.

image-1

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *